Description

It seems Redmine currently is only able to display the branch named "master" (which is actually an arbitrary and non-sanctioned

default?) which may be a sensible limitation to make with other SCM software, but seems unnecessary with Git.

Because branches in Git are not much more than labels on the heads of directed linked lists of commits, and because Redmine (nor

the official Gitweb actually) has any real capability to manage branches, it could make sense to just show the revision log as a

chronological list of all commits. Gitweb is also discriminating commits on basis of belonging to a certain branch, but if a branch is a

subset of the displayed branch, this is also showed as a label in the list - I'll attach an example when displaying the =21fixes= branch.

Currently we are using many other branches than master in our repositories, and while it would be great to get the links to redmine

issues, the Git repository integration needs a bit more basic functionality to be usable for us.

I'm not a returning redmine contributor, so I would be happy to receive email updates or possibly discussion in the IRC channel

Best regards

CJ Sveningsson, Estonia

Related issues:

Related to Redmine - Feature #1406: Browse through Git branches Closed 2008-06-09

History

#1 - 2009-06-19 11:47 - Carl-Johan Sveningsson
#2 - 2009-06-19 11:55 - Carl-Johan Sveningsson

I found this discussion related to the topic:

http://www.redmine.org/boards/2/topics/2873

#3 - 2009-06-23 12:15 - Adam Soltys

An issue for this already exists: #1406

I'm just starting to work on a patch to address the problem.  You can follow my progress at 

http://github.com/asoltys/redmine/commits/git_branch_support

#4 - 2009-06-25 09:20 - Carl-Johan Sveningsson

- Status changed from New to Resolved

#5 - 2009-08-16 01:03 - Eric Davis

- Status changed from Resolved to Closed

- Resolution set to Duplicate

Completed in issue #1406
